> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vogent.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Run Multispeaker TTS Model

> Runs a multispeaker (conversational) text to speech model and generates audio. Bytes will be streamed to the client as they are generated.



## OpenAPI

````yaml post /tts/multispeaker
openapi: 3.0.3
info:
  title: Vogent - OpenAPI 3.0
  description: Test Description
  version: 1.0.11
servers:
  - url: https://api.vogent.ai/api
security:
  - bearerAuth: []
paths:
  /tts/multispeaker:
    post:
      summary: Run Multispeaker TTS Model
      description: >-
        Runs a multispeaker (conversational) text to speech model and generates
        audio. Bytes will be streamed to the client as they are generated.
      operationId: runMultispeakerTTS
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RunMultispeakerTTSInput'
        required: true
      responses:
        '200':
          description: Returns a file with the audio.
          content:
            application/octet-stream:
              schema:
                type: string
                format: binary
        '400':
          description: Invalid input
        '422':
          description: Validation exception
components:
  schemas:
    RunMultispeakerTTSInput:
      type: object
      properties:
        lines:
          type: array
          items:
            $ref: '#/components/schemas/MultispeakerLine'
          description: The lines that need to be generated.
        voiceOptionValues:
          type: array
          x-go-type-skip-optional-pointer: true
          items:
            $ref: '#/components/schemas/ModelOptionValue'
          description: An optional configuration for the voices being used.
        format:
          $ref: '#/components/schemas/OutputFormat'
          description: >-
            The output format for the generated audio. Defaults to WAV_PCM16 at
            24000 Hz.
          nullable: false
          default:
            outputType: WAV_PCM16
            sampleRate: 24000
      required:
        - lines
    MultispeakerLine:
      type: object
      properties:
        text:
          type: string
          description: The text to generate.
          nullable: false
        voiceId:
          type: string
          description: The voice ID to use to generate the text.
          nullable: false
      required:
        - text
        - voiceId
    ModelOptionValue:
      type: object
      description: >-
        A configuration value for the model. You can get a list of available
        models and their configuration values from /models. All configuration
        values, with defaults will be returned when you retrieve a versioned
        prompt.
      properties:
        optionId:
          type: string
          description: The ID of option.
          nullable: false
        value:
          type: string
          nullable: false
      required:
        - optionId
        - value
    OutputFormat:
      type: object
      properties:
        outputType:
          $ref: '#/components/schemas/OutputType'
          description: The type of output format.
          nullable: false
        sampleRate:
          type: integer
          description: >-
            The sample rate for the audio output. Must be one of 8000, 16000,
            22050, 24000, 41500, or 48000
          nullable: false
      required:
        - outputType
        - sampleRate
    OutputType:
      type: string
      enum:
        - RAW_PCM16
        - WAV_PCM16
        - MP3
      description: The output format type for audio generation.
      nullable: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        In the form `Bearer <api_key_here>`. You can find your api key in your
        dashboard.

````